default:
  deps: [test]

dl-deps:
  desc: Downloads cli dependencies
  cmds:
    - go get -u github.com/golang/lint/golint
    - go get -u github.com/golang/dep/cmd/dep

update-deps:
  desc: Updates dependencies
  cmds:
    - dep ensure
    - dep ensure -update

lint:
  desc: Runs golint
  cmds:
    - go fmt $(go list ./... | grep -v /vendor/)
    - go vet $(go list ./... | grep -v /vendor/)
    - golint $(ls *.go | grep -v "doc.go")
  silent: true

test:
  desc: Runs go tests
  cmds:
    - go test -race  .

test-coverage:
  desc: Runs go tests and calucates test coverage
  cmds:
    - go test -coverprofile=c.out .
